Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227069 - Review Request: jaxen-bootstrap-1.1-0.b7.3jpp - A convenience package for build of dom4j
Summary: Review Request: jaxen-bootstrap-1.1-0.b7.3jpp - A convenience package for bui...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 227125
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:40 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-11 14:14:23 UTC
jjohnstn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
patch that fixes a lot of issues in the spec (deleted)
2007-02-13 22:38 UTC, Andrew Overholt
no flags Details
patch for 1.1b7 to clear up issues (deleted)
2007-02-14 17:40 UTC, Andrew Overholt
no flags Details | Diff

Description Rafael H. Schloming 2007-02-02 17:40:40 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jaxen-bootstrap-1.1-0.b7.3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jaxen-bootstrap-1.1-0.b7.3jpp.src.rpm
Description: Dom4j depends on a jaxen build with dom4j support.
This package must only be installed in the rare
event of having to rebuild dom4j.

Comment 1 Andrew Overholt 2007-02-13 22:36:23 UTC
MUST:
X package is named appropriately
 . release should be of the form 0.Z.tag.Xjpp.Y%{?dist}
* it is legal for Fedora to distribute this
X license field matches the actual license.
 . according to their website, it's Apache-style
* license is open source-compatible.
X specfile name matches %{name}
 . specfile should be jaxen-bootstrap.spec
X verify source and patches (md5sum matches upstream, know what the patches do)
 . where do the xsl and xml files come from?
 . we should note why dom4j is needed
* summary and description fine
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
X %{?dist} needs to be added
X license text included in package and marked with %doc
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output

W: jaxen-bootstrap non-standard-group Development/Libraries/Java

. fine

W: jaxen-bootstrap invalid-license Open Source

X fix this

W: jaxen-bootstrap unversioned-explicit-provides jaxen-bootstrap

. I think this is an unnecessary provide

W: jaxen-bootstrap rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT

. get rid of the rm -rf line at the beginning of prep ...

E: jaxen-bootstrap no-cleaning-of-buildroot %install

... and add it to the beginning of %install

W: jaxen-bootstrap mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 37)

X fix this (emacs M-x untabify)

* changelog in okay format
X Vendor tag should not be used
X Distribution tag should not be used
* use License and not Copyright 
* Summary tag should not end in a period
* no PreReqs
* specfile is legible
X package successfully compiles and builds on at least x86
 . I need xom to build this package
? BuildRequires are proper
 . I'll have to wait to build this to ensure this
* summary is a short and concise description of the package
* description expands upon summary
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* no libraries
* no rpath
* no config files
* not a GUI app
* no -devel sub-package necessary
* macros used appropriately and consistently
* does not use %makeinstall
* no locale data
? consider using cp -p to preserve timestamps (%prep line 4
* no Requires(pre,post)
* package is not be relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* file permissions okay; %defattrs present
* %clean present
* %doc files should not affect runtime (N/A until licence added)
* not a web app
X final provides and requires of the binary RPMs
 . remove unnecessary Provides: %{name}?
 . I will do the rest when I can build it
X run rpmlint on the binary RPMs
 . I will when I can build it

SHOULD:
X package should include license text in the package and mark it with %doc
X package should build on i386
X package should build in mock


Comment 2 Andrew Overholt 2007-02-13 22:38:49 UTC
Created attachment 148022 [details]
patch that fixes a lot of issues in the spec

I can't verify everything because I can't build it yet due to not having xom. 
I'm also continuing to investigate the source of the xsl and xml files.

Comment 3 Andrew Overholt 2007-02-14 17:40:49 UTC
Created attachment 148075 [details]
patch for 1.1b7 to clear up issues

> X package is named appropriately
>  . release should be of the form 0.Z.tag.Xjpp.Y%{?dist}

Fixed.	rpmvercmp used to verify that epoch bump not necessary.

> X license field matches the actual license.
>  . according to their website, it's Apache-style

Fixed.

> X specfile name matches %{name}
>  . specfile should be jaxen-bootstrap.spec

Yup.

> X verify source and patches
>  . where do the xsl and xml files come from?
>  . we should note why dom4j is needed

Notes added.  I can't find the source upstream anymore so I don't know how to
verify the md5sums :(

> X correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Fixed.

> X %{?dist} needs to be added

Fixed.

> X license text included in package and marked with %doc

Fixed.

> * packages meets FHS (http://www.pathname.com/fhs/)
> W: jaxen-bootstrap invalid-license Open Source
> 
> X fix this

Fixed.

> W: jaxen-bootstrap unversioned-explicit-provides jaxen-bootstrap
> 
> . I think this is an unnecessary provide

Removed.

> W: jaxen-bootstrap rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
> 
> . get rid of the rm -rf line at the beginning of prep ...

Done.

> E: jaxen-bootstrap no-cleaning-of-buildroot %install
> 
> ... and add it to the beginning of %install

Fixed.

> W: jaxen-bootstrap mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line
37)
> 
> X fix this (emacs M-x untabify)

Done.

> X Vendor tag should not be used
> X Distribution tag should not be used

Fixed, fixed.

> ? consider using cp -p to preserve timestamps (%prep line 4

Unnecessary as it's only used for bootstrap building.

> X final provides and requires of the binary RPMs
>  . remove unnecessary Provides: %{name}?

Done.

I still can't build, but I think other than the that the source can't be found,
everything is taken care of by this patch.  Except perhaps changing the licence
to BSD which is what I think it actually is.

Comment 4 Andrew Overholt 2007-02-14 18:07:40 UTC
I've got a 1.1 final spec.  I can't make the SRPM until xom is finished, but if
I used a canned upstream xom and comment out the BR, it works fine.  I've put it
here:

http://overholt.ca/fedora/jaxen-bootstrap.spec

Comment 5 Andrew Overholt 2007-02-15 17:58:01 UTC
Updated jaxen 1.1 for bootstrapping:

http://overholt.ca/fedora/jaxen-bootstrap.spec
http://overholt.ca/fedora/jaxen-bootstrap-1.1-1jpp.1.src.rpm

Comment 6 Jeff Johnston 2007-02-15 19:42:25 UTC
Approved.

Comment 7 Vivek Lakshmanan 2007-03-06 22:57:52 UTC
New Package CVS Request
=======================
Package Name: jaxen-bootstrap
Short Description: A convenience package for build of dom4j
Owners: vivekl@redhat.com
Branches: devel
InitialCC: 

Comment 8 Dennis Gilmore 2007-03-07 19:12:49 UTC
branched

Comment 9 Vivek Lakshmanan 2007-03-13 23:35:36 UTC
Reassigning to main reviewer.

Comment 10 Peter Robinson 2008-10-11 14:14:23 UTC
Closing - in rawhide

Comment 11 Jochen Schmitt 2011-12-01 16:15:49 UTC
Package Change Request
======================
Package Name: jaxen-bootstrap
New Branches: el6
Owners: s4504kr

Comment 12 Gwyn Ciesla 2011-12-01 16:23:49 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.